# Adaptive volume fraction coarsening test

## Description

The test features a cyclic 1D domain filled with liquid, initialized with a
cluster of disperse gas consisting of two disperse phases. All phases are
convected with the same velocity driven by the motion of the top and bottom
walls.

The case tests the adaptive filtering of the volume fraction fields which is
applied to handle cases where the bubble diameter is much larger than the local
cell grid size[^1]. The filtering is realised by applying a certain diffusion
to the volume fraction fields. The corresponding diffusion coefficient is
limited to ensure that the convection is never suppressed. The filtering is
activated by defining `overresolutionFilterDiameter` for the alpha solution
procedure. Alpha subcycles are recommended to covers large time step sizes.

## Technical Information

- continuous phase: water
- disperse phases: air1, air2
- no phase transfer
- 1D, unit length, 50 cells
- diameter of disperse phases: 0.4 m
- resulting in 20 cells per diameter

## Pre-Processing

The volume fraction fields are initialised using `setFields`.

## Post-Processing

A createGraphs script is available in the validation directory.

[^1]: Krull, B., Meller, R., Tekavcic, M., & Schlegel, F. (2024). A filtering approach for applying the two-fluid model to gas-liquid flows on high resolution grids. Chemical Engineering Science, 290, 119909. <https://doi.org/10.1016/j.ces.2024.119909>
